# -*- coding: utf-8 -*-
""" widgets fields

"""
#
# Modify publications fields
#
fieldsModifier = dbui.FieldsModifier('publications')
fieldsModifier.configure_field('conference_start', format='Y-m-d')
fieldsModifier.configure_field('conference_end', format='Y-m-d')
fieldsModifier.configure_field('year', maxValue=datetime.now().year)

#
# Merge fields for the publication form
#
fieldsModifier.merge_fields('first_page', 
                            'last_page', 
                            fieldLabel=T('Pages'), 
                            defaults={'flex': 1})

fieldsModifier.merge_fields('conference_start',
                            'conference_end',
                            fieldLabel=T('Dates'), 
                            defaults={'flex': 1})

#
# filterBox for foo1 selector
#
fieldsModifier = dbui.FieldsModifier('foo1')
fieldsModifier.configure_field('my_axis',
                               displayField='axis',
                               mode='local',
                               store='axesStore',
                               valueField='axis', 
                               xtype='xcombobox')

fieldsModifier.configure_field('my_granularity',
                               displayField='granularity',
                               mode='local',
                               store='axesStore',
                               valueField='granularity', 
                               xtype='xcombobox')
