# -*- coding: utf-8 -*-
""" widgets viewport

"""
#
# The form node
#
formNode = dbui.Node(T('Forms'))
configurator = lambda tablename: dbui.to_formPanel(db[tablename])
formNode.add_children(db.tables, func=configurator)

#
# the grid node
#
gridNode = dbui.Node(T('Tables'))
configurator = lambda tablename: dbui.to_gridPanel(db[tablename]) 
gridNode.add_children(db.tables, func=configurator) 

#
# the report node
#
reportNode = dbui.Node(T('Reports'))
node = dbui.Panel(html="salut ma poule")
reportNode.add_child(T('report_1'), node)

fields = dbui.to_fields(virtdb.foo1)
selector = dbui.FieldSet(items=fields, plugins=['pFormToolTip'],
                                       title=T('Select'))
node = dbui.PanelWithUrlSelector(baseUrl=URL('reports', 'report_2'),
                                 isMathJax=dbui.is_mathjax(),
                                 panelCfg=dbui.Panel(),
                                 selectorCfg=selector,
                                 selectorCollapsible=False)
reportNode.add_child(T('report_2'), node)

#
# The viewport with its navigation tree
#
viewportModifier = dbui.ViewportModifier()
viewportModifier.append_plugins('pViewportLogin')
viewportModifier.configure(logged=True)
viewportModifier.add_node(formNode, gridNode, reportNode)
