""" Author: R. Le Gac

"""

import pprint


class BaseSvc:
    """Base class to build service.
    Use the environment attribute to access to db, T, ....
    
    """     
    def __init__(self, environment):
        self.debug = False
        self.environment = environment


    def dbg(self, *args):
        """Print args if the attribute debug is true.

        """
        if self.debug:
            pprint.pprint(args)
