/**
 * Modify version of the Ext.form.TextField to handle
 * regular expression defined as a string.
 * 
 * @extends Ext.form.TextField
 * @version
 * 
 */

Ext.namespace('App.form');

App.form.TextField = Ext.extend(Ext.form.TextField, {

    /**
     * private method requests by the component model of ExtJS
     */
    initComponent: function () {

        if (this.regex && typeof(this.regex) === "string") {
            this.regex = new RegExp(this.regex);
        }

        // initialize the underlying class. DON'T MOVE
        App.form.TextField.superclass.initComponent.call(this);        
    }
});

Ext.reg('xtextfield', App.form.TextField);
