/**
 * direct_1.js
 * 
 * Script to test Ext Direct
 *
 */
 
decodeResponse = function (provider, response) {
    
    if (response instanceof String) {
        Ext.Msg.alert('ERROR', response);
        return;
    }

    if (response.type === 'exception') {
        Ext.Msg.alert('ERROR', response.xhr.statusText);        
        return;
    }
    
    console.log("decode response");
    console.dir(response);
    
};

Ext.onReady(function(){

    Ext.QuickTips.init();

	console.log("Remote API")
	console.dir(App.REMOTE_API);
	
	Ext.Direct.addProvider(App.REMOTE_API);
    
    console.log("start direct_1");

    console.log("echo test");
    DirectSvc.echo(5, decodeResponse);
    DirectSvc.echo({k:2, f:[1, 2, 3]}, decodeResponse);
    
	console.log("Dbui.getViewport()");
	Dbui.getViewport(decodeResponse);

    console.log("Dbui.getForm('publications)");
    Dbui.getForm('publications', decodeResponse);

    console.log("Dbui.getGrid('publications)");
    Dbui.getGrid('publications', decodeResponse);

});