/**
 * setbox_1.js
 *
 * To test and debug setbox widget.
 *
 */

/**
 * main function
 */
var main = function(provider, response){

	var model = response.result.model.items[4];

	console.log("Model");
	console.dir(model);

	var setBox = new App.form.SetBox({
		model: model,
	});
		
	var panel = new Ext.Panel({
		renderTo: "appmain",
		bodyStyle: 'padding:5px 5px 0',
		height: 50,
		width: 350,
		frame: true,
		items: [setBox],
	});
	
};


Ext.onReady(function(){

    Ext.QuickTips.init();

	// Expose the remote service cfgSvc
	Ext.Direct.addProvider(App.cfgSvcMethods);

	// Request form model from the server
	cfgSvc.getFormModel('rpms', main)
});