"""  """
import os
import re

from gluon.admin import plugin_pack

def index():
    """Main Controller to run the application.

    """
    return LOAD('plugin_dbui', 'index', vars=request.vars)


def pack_plugin():
    """Helper controller to produce the plugin_dbui binary version.
    Used by the script buildVersion when building a new release.

    Light version of the appadmin/default/pack_plugin controller.
    
    """
    pname = 'dbui'
    fname = 'web2py.plugin.%s.w2p' %pname
    filename = plugin_pack(request.application, pname, request)

    if filename:
        response.headers['Content-Type'] = 'application/w2p'
        disposition = 'attachment; filename=%s' % fname
        response.headers['Content-Disposition'] = disposition
        
        fi = open(filename, 'rb')
        try:
            return fi.read()
        finally:
            fi.close()

    else:
        return None

    
def version():
    """Return the versions of the different part of the code.
    
    """
    dbui = local_import('plugin_dbui')
    return str(dbui.get_versions())
