""" Collection of controllers to build reports 

"""

def index():
    """Main Controller handling report.

    """
    return 'Report section'


def report_1():
    """First trial
    
    """
    return "report_1"


def report_2():
    """Return the url arguments
    
    """

    vars = request.vars
    fmt = vars.Foo1My_format 
    # user request a file with a specific format (latex,...)
    # return to the browser na iframe balise with a new URL
    # the browser will request the file locate at the url
    # The iframe occupy all the space in the receiving container
    # it is usefull for embeded application like acroread.
    if  fmt and fmt != 'html':

        del vars.Foo1My_format

        s = IFRAME(_id='MyId',
                   _frameborder=0,
                   _width="100%",
                   _height="100%",
                   _src=URL('reports', 'report_2.%s' % fmt, vars=vars)).xml()

        # remove the field use to select the file format
        # in order to avoid circular loop
        del fmt

        return s

    # standart reponse
    return dict(test=vars)