# -*- coding: utf-8 -*-
""" widgets stores

"""
#
# Create a static store with the axes definition
#
cfg = dbui.ArrayStore(fields=['axis', 'granularity'],
                      data=[['projects', 'agency'],
                            ['projects', 'project'],
                            ['teams', 'domain'],
                            ['teams', 'team'],
                            ['time', 'year']])
dbui.AddStore('axes', **cfg)

#
# order store contents for technical tables
#
storeModifier = dbui.StoreModifier('teams')
storeModifier.orderby(~db.teams.team)
