/**
 * The grid export plugin for toolbar
 * The ptype of this component is pGridExport.
 *  
 * @version
 * 
 */
Ext.namespace('App.grid');

App.grid.Export = Ext.extend(Object, {

    /**
     * Private parameter identifying the type of plugin
     */
    ptype: 'pGridExport',

    /**
     * Private attribute for internationalization
     */
    textExport: 'Export to CSV file',
    
    /**
     * Plugin initialization
     */
    init: function(grid){
        var bbar = grid.getBottomToolbar()
        bbar.add(
            '->', {
                xtype: 'xbuttondownload',
                iconCls: 'xaction-export',
                tooltip: this.textExport,
                url: App.csvUrl + '?tableName=' + App.getTableName(grid.store)
            }
        );
    }
});

Ext.preg('pGridExport', App.grid.Export);
