/**
 * Modify version of the Ext.form.TextArea to handle
 * regular expression defined as a string.
 * 
 * @extends Ext.form.TextArea
 * @version
 * 
 */

Ext.namespace('App.form');

App.form.TextArea = Ext.extend(Ext.form.TextArea, {

    /**
     * private method requests by the component model of ExtJS
     */
    initComponent: function () {

        if (this.regex && typeof(this.regex) === "string") {
            this.regex = new RegExp(this.regex);
        }

        // initialize the underlying class. DON'T MOVE
        App.form.TextArea.superclass.initComponent.call(this);        
    }
});

Ext.reg('xtextarea', App.form.TextArea);
