/**
 * grid_1.js
 *
 * To test and debug grid widget -- the simplest case
 *
 */
Ext.namespace('App.grid');

/**
 * main function
 */

var main = function(provider, response){

	var model = response.result.model;

	console.log("Model");
	console.dir(model);

/*
	model.colModel = [{
	  header:'Id',
	  dataindex: 'PublicationsId',
	}, {
	  header: 'Title',
	  dataindex: 'PublicationsTitle',
	}, {
	  header: 'Authors',
	  dataindex: 'PublicationsAuthors',
	}, {
	  header: 'Year',
	  dataindex: 'PublicationsYear',
	}, {
	  header: 'Volume',
	  dataindex: 'PublicationsVolume',
	}, {
	  header: 'Collaboration',
	  dataindex: 'CollaborationsCollaboration',
	}, {
	  header: 'Project',
	  dataindex: 'project',
	}];

	model.store = {
		dbFields: [['publications', 'id'],
				   ['publications', 'title'],
				   ['publications', 'authors'],
				   ['publications', 'year'],
				   ['publications', 'volume'],
				   ['collaborations', 'collaboration'],
				   ['projects', 'project'],],
		where: ["[publications.id_collaborations] == [collaborations.id]",
				"[publications.id_projects] == [projects.id]",],
		fields: ['PublicationsId',
				 'PublicationsTitle',
				 'PublicationsAuthors',
				 'PublicationsYear',
				 'PublicationsVolume',
				 'CollaborationsCollaboration',
				 'project'],
		table: 'publications',
		title: 'Publications',
	};
*/
	// instantiate the grid
	var grid = new App.grid.Grid({
		model: model,
	plugins: ['pGridRowEditorToolbar', 'pGridRowEditorContextMenu'],
	});

	grid.render('appmain');
};


Ext.onReady(function(){

    Ext.QuickTips.init();

	// Expose the remote service cfgSvc
	Ext.Direct.addProvider(App.cfgSvcMethods);

	// Request grid models from the server
//	cfgSvc.getGridModel('publications', main)
	cfgSvc.getGridModel('teams', main)

});